Bug 1278407 - Display backlight shuts off with kernel 4.2.5
Display backlight shuts off with kernel 4.2.5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 07:06 EST by Corinna Vinschen
Modified: 2015-11-20 18:22 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-4.2.6-300.fc23 kernel-4.2.6-200.fc22 kernel-4.1.13-100.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 04:57:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output with 4.2.3-200 (84.74 KB, text/plain)
2015-11-05 07:06 EST, Corinna Vinschen
no flags Details
dmesg output with 4.2.5-201 (76.75 KB, text/plain)
2015-11-05 07:07 EST, Corinna Vinschen
no flags Details
Xorg.0.log with 4.2.3-200 (39.52 KB, text/plain)
2015-11-05 07:07 EST, Corinna Vinschen
no flags Details
Xorg.0.log output with 4.2.5-201 (40.62 KB, text/plain)
2015-11-05 07:08 EST, Corinna Vinschen
no flags Details

  None (edit)
Description Corinna Vinschen 2015-11-05 07:06:30 EST
Created attachment 1090037 [details]
dmesg output with 4.2.3-200

Description of problem:

  This is on a Lenovo Thinkpad T60 with Radeon graphics.

  After updating to the latest F22 kernel, 4.2.5-201, the display backlight
  shuts off at boot time, almost immediately after the kernel takes over from
  grub.  There seems to be no way to get the backlight working again from the
  running system.  xbacklight is dysfunctional on this Thinkpad model
  (independent of the kernel version):

    $ xbacklight -get
    No outputs have backlight property

  The problem can only be worked around by booting into the former 4.2.3-200
  kernel. 

Version-Release number of selected component (if applicable):

  4.2.5-201

How reproducible:

  Boot with kernel 4.2.5-201 on a Lenovo T60 w/ ATI Radeon graphics

Actual results:

  No backlight

Expected results:

  Backlight

Additional Info:

  I'm going to attach four files:
  - dmesg with 4.2.3-200
  - dmesg with 4.2.5-201
  - Xorg.0.log with 4.2.3-200
  - Xorg.0.log with 4.2.5-201

  There's a similar bug report at
   http://www.spinics.net/lists/dri-devel/msg93580.html

Corinna
Comment 1 Corinna Vinschen 2015-11-05 07:07 EST
Created attachment 1090038 [details]
dmesg output with 4.2.5-201
Comment 2 Corinna Vinschen 2015-11-05 07:07 EST
Created attachment 1090039 [details]
Xorg.0.log with 4.2.3-200
Comment 3 Corinna Vinschen 2015-11-05 07:08 EST
Created attachment 1090040 [details]
Xorg.0.log output with 4.2.5-201
Comment 4 Josh Boyer 2015-11-05 08:40:49 EST
Thanks for the pointer to the upstream discussion.  I've added the two patches to F21-F23 in Fedora git.
Comment 5 Corinna Vinschen 2015-11-07 08:11:21 EST
Hi Josh,


Thank you. When will the next build be available with these patches applied?


Corinna
Comment 6 Josh Boyer 2015-11-10 08:17:59 EST
There should be a build of 4.2.6 at some point today.
Comment 7 Fedora Update System 2015-11-10 23:14:39 EST
kernel-4.2.6-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-115c302856
Comment 8 Fedora Update System 2015-11-10 23:15:54 EST
kernel-4.2.6-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd94ad8d7c
Comment 9 Corinna Vinschen 2015-11-11 06:18:57 EST
kernel-4.2.6-200.fc22 looks good, thanks.

Unfortunately I can't create feedback on bodji because I'm getting
a weird message "CSRF tokens do not match" when trying to do so.


Corinna
Comment 10 Fedora Update System 2015-11-11 21:24:50 EST
kernel-4.2.6-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd94ad8d7c
Comment 11 Fedora Update System 2015-11-11 22:58:31 EST
kernel-4.2.6-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-115c302856
Comment 12 Corinna Vinschen 2015-11-12 04:11:33 EST
(In reply to Corinna Vinschen from comment #9)
> kernel-4.2.6-200.fc22 looks good, thanks.
> 
> Unfortunately I can't create feedback on bodji because I'm getting
> a weird message "CSRF tokens do not match" when trying to do so.

Today it worked again for some reason.  I left a positive karma.


Thanks,
Corinna
Comment 13 Fedora Update System 2015-11-12 11:30:52 EST
kernel-4.1.13-100.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f2c534bc12
Comment 14 Fedora Update System 2015-11-12 23:20:49 EST
kernel-4.1.13-100.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f2c534bc12
Comment 15 Fedora Update System 2015-11-19 04:55:24 EST
kernel-4.2.6-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-11-19 07:20:30 EST
kernel-4.2.6-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-11-20 18:21:32 EST
kernel-4.1.13-100.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.